Retrieve clause tooltip
curl --request GET \
--url https://app.myhero.so/tooltip/clause-reference/{clauseReferenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/tooltip/clause-reference/{clauseReferenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/tooltip/clause-reference/{clauseReferenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"title": "<string>",
"content": [
"<unknown>"
],
"blockId": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Tooltips
Retrieve clause tooltip
Returns the tooltip content for a clause reference, including the referenced block’s title, ProseMirror content nodes, and blockId.
When includeParentSection is set, the response may include the parent section’s heading as the title.
Requires read access to the source document.
GET
/
tooltip
/
clause-reference
/
{clauseReferenceId}
Retrieve clause tooltip
⌘I